<!--

function Delegate(){}
Delegate.create=function(o,f){
var beaEs=new Array();
var tTnWx=arguments.length;
for(var i=2;i<tTnWx;i++) beaEs[i-2]=arguments[i];
return function(){
var ihxrk=[].concat(arguments,beaEs);
f.apply(o,ihxrk);
}
}
Tween=function(obj,prop,func,begin,finish,duration,suffixe){
this.init(obj,prop,func,begin,finish,duration,suffixe)
}
var t=Tween.prototype;
t.obj=new Object();
t.prop='';
t.func=function(t,b,c,d){return c*t/d+b;};
t.begin=0;
t.change=0;
t.prevTime=0;
t.prevPos=0;
t.looping=false;
t.ZTZie=0;
t.CuHKD=0;
t.SwXRr=0;
t.QChlX=0;
t.YmLdZ=0;
t.cJrfq=0;
t.BQhEX=false;
t.name='';
t.suffixe='';
t.ONauN=new Array();
t.setTime=function(t){
this.prevTime=this.CuHKD;
if(t>this.getDuration()){
if(this.looping){
this.rewind(t-this.ZTZie);
this.update();
this.NmQgC('onMotionLooped',{target:this,type:'onMotionLooped'});
}else{
this.CuHKD=this.ZTZie;
this.update();
this.stop();
this.NmQgC('onMotionFinished',{target:this,type:'onMotionFinished'});
}
}else if(t<0){
this.rewind();
this.update();
}else{
this.CuHKD=t;
this.update();
}
}
t.isRunning=function(){
return this.BQhEX;
}
t.getTime=function(){
return this.CuHKD;
}
t.setDuration=function(d){
this.ZTZie=(d==null||d<=0)?100000:d;
}
t.getDuration=function(){
return this.ZTZie;
}
t.setPosition=function(p){
this.prevPos=this.SwXRr;
var a=this.suffixe!=''?this.suffixe:'';
this.obj[this.prop]=Math.round(p)+a;
this.SwXRr=p;
this.NmQgC('onMotionChanged',{target:this,type:'onMotionChanged'});
}
t.getPosition=function(t){
if(t==undefined) t=this.CuHKD;
return this.func(t,this.begin,this.change,this.ZTZie);
};
t.setFinish=function(f){
this.change=f-this.begin;
};
t.geFinish=function(){
return this.begin+this.change;
};
t.init=function(obj,prop,func,begin,finish,duration,suffixe){
if(!arguments.length) return;
this.ONauN=new Array();
this.addListener(this);
if(suffixe) this.suffixe=suffixe;
this.obj=obj;
this.prop=prop;
this.begin=begin;
this.SwXRr=begin;
this.setDuration(duration);
if(func!=null&&func!=''){
this.func=func;
}
this.setFinish(finish);
}
t.start=function(){
this.rewind();
this.startEnterFrame();
this.NmQgC('onMotionStarted',{target:this,type:'onMotionStarted'});
}
t.rewind=function(t){
this.stop();
this.CuHKD=(t==undefined)?0:t;
this.fixTime();
this.update();
}
t.fforward=function(){
this.CuHKD=this.ZTZie;
this.fixTime();
this.update();
}
t.update=function(){
this.setPosition(this.getPosition(this.CuHKD));
}
t.startEnterFrame=function(){
this.stopEnterFrame();
this.BQhEX=true;
this.onEnterFrame();
}
t.onEnterFrame=function(){
if(this.BQhEX){
this.nextFrame();
wa_timeout(Delegate.create(this,this.onEnterFrame),0);
}
}
t.nextFrame=function(){
this.setTime((this.getTimer()-this.YmLdZ)/1000);
}
t.stop=function(){
this.stopEnterFrame();
this.NmQgC('onMotionStopped',{target:this,type:'onMotionStopped'});
}
t.stopEnterFrame=function(){
this.BQhEX=false;
}
t.continueTo=function(finish,duration){
this.begin=this.SwXRr;
this.setFinish(finish);
if(this.ZTZie!=undefined)
this.setDuration(duration);
this.start();
}
t.resume=function(){
this.fixTime();
this.startEnterFrame();
this.NmQgC('onMotionResumed',{target:this,type:'onMotionResumed'});
}
t.yoyo=function(){
this.continueTo(this.begin,this.CuHKD);
}
t.addListener=function(o){
this.removeListener(o);
return this.ONauN.push(o);
}
t.removeListener=function(o){
var a=this.ONauN;
var i=a.length;
while(i--){
if(a[i]==o){
a.splice(i,1);
return true;
}
}
return false;
}
t.NmQgC=function(){
var arr=new Array();
for(var i=0;i<arguments.length;i++){
arr.push(arguments[i])
}
var e=arr.shift();
var a=this.ONauN;
var l=a.length;
for(var i=0;i<l;i++){
if(a[i][e])
a[i][e].apply(a[i],arr);
}
}
t.fixTime=function(){
this.YmLdZ=this.getTimer()-this.CuHKD*1000;
}
t.getTimer=function(){
return new Date().getTime()-this.CuHKD;
}
Tween.backEaseIn=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
return c*(t/=d)*t*((s+1)*t-s)+b;
}
Tween.backEaseOut=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
return c*((t=t/d-1)*t*((s+1)*t+s)+1)+b;
}
Tween.backEaseInOut=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
if((t/=d/2)<1) return c/2*(t*t*(((s*=(1.525))+1)*t-s))+b;
return c/2*((t-=2)*t*(((s*=(1.525))+1)*t+s)+2)+b;
}
Tween.elasticEaseIn=function(t,b,c,d,a,p){
if(t==0) return b;
if((t/=d)==1) return b+c;
if(!p) p=d*.3;
if(!a||a<Math.abs(c)){
a=c;var s=p/4;
}
else
var s=p/(2*Math.PI)*Math.asin(c/a);
return-(a*Math.pow(2,10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p))+b;
}
Tween.elasticEaseOut=function(t,b,c,d,a,p){
if(t==0) return b;if((t/=d)==1) return b+c;if(!p) p=d*.3;
if(!a||a<Math.abs(c)){a=c;var s=p/4;}
else var s=p/(2*Math.PI)*Math.asin(c/a);
return(a*Math.pow(2,-10*t)*Math.sin((t*d-s)*(2*Math.PI)/p)+c+b);
}
Tween.elasticEaseInOut=function(t,b,c,d,a,p){
if(t==0) return b;if((t/=d/2)==2) return b+c;if(!p) var p=d*(.3*1.5);
if(!a||a<Math.abs(c)){var a=c;var s=p/4;}
else var s=p/(2*Math.PI)*Math.asin(c/a);
if(t<1) return-.5*(a*Math.pow(2,10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p))+b;
return a*Math.pow(2,-10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p)*.5+c+b;
}
Tween.bounceEaseOut=function(t,b,c,d){
if((t/=d)<(1/2.75)){
return c*(7.5625*t*t)+b;
}else if(t<(2/2.75)){
return c*(7.5625*(t-=(1.5/2.75))*t+.75)+b;
}else if(t<(2.5/2.75)){
return c*(7.5625*(t-=(2.25/2.75))*t+.9375)+b;
}else{
return c*(7.5625*(t-=(2.625/2.75))*t+.984375)+b;
}
}
Tween.bounceEaseIn=function(t,b,c,d){
return c-Tween.bounceEaseOut(d-t,0,c,d)+b;
}
Tween.bounceEaseInOut=function(t,b,c,d){
if(t<d/2) return Tween.bounceEaseIn(t*2,0,c,d)*.5+b;
else return Tween.bounceEaseOut(t*2-d,0,c,d)*.5+c*.5+b;
}
Tween.strongEaseInOut=function(t,b,c,d){
return c*(t/=d)*t*t*t*t+b;
}
Tween.regularEaseIn=function(t,b,c,d){
return c*(t/=d)*t+b;
}
Tween.regularEaseOut=function(t,b,c,d){
return-c*(t/=d)*(t-2)+b;
}
Tween.regularEaseInOut=function(t,b,c,d){
if((t/=d/2)<1) return c/2*t*t+b;
return-c/2*((--t)*(t-2)-1)+b;
}
Tween.strongEaseIn=function(t,b,c,d){
return c*(t/=d)*t*t*t*t+b;
}
Tween.strongEaseOut=function(t,b,c,d){
return c*((t=t/d-1)*t*t*t*t+1)+b;
}
Tween.strongEaseInOut=function(t,b,c,d){
if((t/=d/2)<1) return c/2*t*t*t*t*t+b;
return c/2*((t-=2)*t*t*t*t+2)+b;
}
OpacityTween.prototype=new Tween();
OpacityTween.prototype.constructor=Tween;
OpacityTween.superclass=Tween.prototype;
function OpacityTween(obj,func,iNtjD,hTAFu,ZTZie){
this.targetObject=obj;
this.init(new Object(),'a',func,iNtjD,hTAFu,ZTZie);
this.onMotionChanged=function(evt){
var v=evt.target.SwXRr;
var t=this.targetObject;
v=Math.round(v*100)/100
t.style['opacity']=v/100;
t.style['-moz-opacity']=v/100;
html_SetOpacity(t,v/100);
}
}
function html_canvas(ReOpj,HpYAv,GaEuq)
{
return "<canvas id='"+ReOpj+"' width='"+HpYAv+"' height='"+GaEuq+"'></canvas>"
}
function WA_canvas(ReOpj,HpYAv,GaEuq)
{
document.write(html_canvas(ReOpj,HpYAv,GaEuq))
}
function QYqfH(RUltY,x0,y0,lx0,ly0)
{
var x=x0+lx0/2;var y=y0+ly0/2;var lx=lx0/2;var ly=ly0/2;var radius=lx0/2;var yRadius=ly0/2;
RUltY.beginPath();
var theta,xrCtrl,yrCtrl,angleMid,px,py,cx,cy;
theta=Math.PI/4;xrCtrl=radius/Math.cos(theta/2);yrCtrl=yRadius/Math.cos(theta/2);var angle=0;
RUltY.moveTo(x+radius,y);
for(var i=0;i<8;i++){
angle+=theta;angleMid=angle-(theta/2);cx=x+Math.cos(angleMid)*xrCtrl;cy=y+Math.sin(angleMid)*yrCtrl;px=x+Math.cos(angle)*radius;py=y+Math.sin(angle)*yRadius;
RUltY.quadraticCurveTo(cx,cy,px,py);
}
}
function iPuPh(c,x,y,lx,ly,arc,clowckwise)
{
c.beginPath()
GNRAR(c,x,y,lx,ly,arc,clowckwise)
}
function GNRAR(c,x,y,lx,ly,arc,clowckwise)
{
if(clowckwise)
{
c.moveTo(x+arc,y);c.lineTo(x+lx-arc,y);c.quadraticCurveTo(x+lx,y,x+lx,y+arc);c.lineTo(x+lx,y+ly-arc);c.quadraticCurveTo(x+lx,y+ly,x+lx-arc,y+ly);c.lineTo(x+arc,y+ly);c.quadraticCurveTo(x,y+ly,x,y+ly-arc);c.lineTo(x,y+arc);c.quadraticCurveTo(x,y,x+arc,y);
return;
}
c.moveTo(x,y+arc);c.lineTo(x,y+ly-arc);c.quadraticCurveTo(x,y+ly,x+arc,y+ly);c.lineTo(x+lx-arc,y+ly);c.quadraticCurveTo(x+lx,y+ly,x+lx,y+ly-arc);c.lineTo(x+lx,y+arc);c.quadraticCurveTo(x+lx,y,x+lx-arc,y);c.lineTo(x+arc,y);c.quadraticCurveTo(x,y,x,y+arc);
}
function isWebKit()
{
if(navigator.userAgent.match(/webkit/i)) return true;
return false;
}
function isMSIE()
{
return BrowserDetect.browser=="Explorer" 
}
function isMSIE8()
{
if((BrowserDetect.browser=="Explorer")&&(BrowserDetect.version==8))
{
return true;
}
return false;
}
function EYomB()
{
return isWebKit();
}
function isMobileWithoutFlash()
{
return isIPhone();
}
function isMobileBrowser()
{
return isIPhone();
}
function isIPhone()
{
if(navigator.userAgent.match(/iPhone/i)||navigator.userAgent.match(/iPod/i))
return true;
return false;
}
function eekKS(lx,ly,parent,id_suffixe)
{
var vZxjo=document.createElement('canvas');vZxjo.width=lx;vZxjo.height=ly;
return vZxjo;
}
function ZYjMD(gGBbO)
{
var gSgLQ=(-gGBbO+45);
return new Point(Math.cos(gSgLQ*(2*Math.PI)/360),Math.sin(gSgLQ*(2*Math.PI)/360))
}
function CnDMk(c,gGBbO)
{
var offset=ZYjMD(gGBbO)
c.shadowOffsetX=2*offset.x;
c.shadowOffsetY=2*offset.y;
c.shadowBlur=4;
}
function WA_over_img_html(gxgiE,pkhva,PHAds)
{
if(!gxgiE.src)
{
var sIkLZ=gxgiE.getElementsByTagName("IMG")
if(sIkLZ.length==1)gxgiE=sIkLZ[0]
}
if(gxgiE.src1==undefined)
{
gxgiE.src1=gxgiE.src;
gxgiE.src2=pkhva;
}
if(PHAds)
{
gxgiE.src=gxgiE.src2;
}
else
{
gxgiE.src=gxgiE.src1;
}
}
function WA_over_img(id,PHAds)
{
var el=document.getElementById(id+"-canvas") 

var gxgiE=(PHAds)?el.wa_s_img[1]:el.wa_s_img[0]
WA_img(id,el.wa_lx,el.wa_ly,el.wa_arc,el.wa_bord_siz,el.wa_bord_col,[gxgiE,gxgiE],el.wa_shadow,el.wa_rot,el.wa_reflex)
}
function mITlq(ReOpj,lx,ly,arc,side)
{
this.id=ReOpj;
this.lx=lx;
this.ly=ly;
this.arc=arc;
var nSide=side
var reflexion=0.25
var sizeReflex=ly*reflexion;
this.decX=0
this.decY=0
this.sX=0;
this.sY=ly-sizeReflex;
this.sLx=lx;
this.sLy=sizeReflex;
this.gradX1=0
this.gradY1=this.sY
this.gradX2=0
this.gradY2=ly 
if(nSide==2)
{
this.decY=1
}
if(nSide==1)
{
sizeReflex=lx*reflexion;
this.sX=lx-sizeReflex;
this.sY=0;
this.sLx=sizeReflex;
this.sLy=ly;
this.gradX1=this.sX
this.gradY1=0
this.gradX2=lx
this.gradY2=0
this.decX=1
}
if(nSide==0)
{
sizeReflex=ly*reflexion;
this.sX=0;
this.sY=0;
this.sLx=lx;
this.sLy=sizeReflex;
this.gradX1=0
this.gradY1=sizeReflex
this.gradX2=0
this.gradY2=0
this.decY=-1
}
if(nSide==3)
{
sizeReflex=lx*reflexion;
this.sX=0;
this.sY=0;
this.sLx=sizeReflex;
this.sLy=ly;
this.gradX1=sizeReflex
this.gradY1=0
this.gradX2=0
this.gradY2=0
this.decX=-1
}
this.cOUVb=function(canv2)
{
if(/opera/i.test(navigator.userAgent)) return;
if(navigator.userAgent.match(/Firefox/i))
{
var div=document.getElementById(this.id)
if(div.style.MozTransform===undefined) return;
}
var IuJQj=document.getElementById(this.id+"-reflex")
var AJikv=IuJQj.getContext('2d');
AJikv.translate(this.lx,0)
AJikv.scale(-1,1)
AJikv.beginPath()
iPuPh(AJikv,1,1,this.lx-2,this.ly-2,this.arc)
AJikv.clip() 


AJikv.drawImage(canv2,this.sX,this.sY,this.sLx,this.sLy,this.sX,this.sY,this.sLx,this.sLy);
AJikv.globalCompositeOperation="destination-out";
var gradient=AJikv.createLinearGradient(this.gradX1,this.gradY1,this.gradX2,this.gradY2);
gradient.addColorStop(0,"rgba(255, 255, 255, 1)");
gradient.addColorStop(1,"rgba(255, 255, 255, 0.1)");
AJikv.fillStyle=gradient;
AJikv.beginPath()
AJikv.rect(this.sX-this.decX,this.sY-this.decY,this.sLx,this.sLy);
AJikv.fill();
AJikv.globalCompositeOperation="source-over";
AJikv.scale(-1,1)
AJikv.translate(-this.lx,0) 
}
}
function extractNum(st)
{
var len=st.length
if((len>0)&&(st.substring(len-2,len)=="px"))
{
return wa_evaluate(st.substring(0,len-2))
}
return 0;
}
function SHSrc(c2,lx,ly,FqLlI,bord_col,arc,arc2)
{
if(FqLlI>0)
{
c2.beginPath()
c2.fillStyle=bord_col;
c2.beginPath()
iPuPh(c2,0,0,lx,ly,arc)
GNRAR(c2,FqLlI,FqLlI,lx-2*FqLlI,ly-2*FqLlI,arc2,true)
c2.fill()
}
}
function PtJGD()
{
this.tx=0
this.ty=0
this.rotation=0
}
function GVnHi(id,lx,ly,rot,c2,canv2,shadow,matrix)
{
if(navigator.userAgent.match(/Firefox/i)||navigator.userAgent.match(/opera/i))
{
var div=document.getElementById(id)
if(div.style.MozTransform!=undefined) return;
if(matrix==undefined)
{
matrix=new PtJGD()
}
div.style.webkitTransformOrigin="0 0"
div.style.webkitTransform="rotate(0deg)";
if(div.style.MozTransform!=undefined)
{
div.style.MozTransform="rotate(0deg)";
div.style.MozTransformOrigin="top left"
}
rot=Math.round(rot/90)*90 
var rrXWN=0;
if(shadow)rrXWN=6
var KtJKo=id+"-canvas"
var el=document.getElementById(KtJKo)
if(div.wa_pos==undefined)
{
div.wa_pos=new Point(extractNum(div.style.left),extractNum(div.style.top))
}
if(div.wa_size==undefined)
{
div.wa_size=new Size(extractNum(div.style.width),extractNum(div.style.height))
}
if(rot==90)
{
html_SetPosition(div,div.wa_pos.x-(ly)-rrXWN,div.wa_pos.y-rrXWN)
html_SetCanvasSize(el,div.wa_size.height+2*rrXWN,div.wa_size.width+2*rrXWN)
html_SetCanvasSize(canv2,div.wa_size.height+4*rrXWN,div.wa_size.width+4*rrXWN)
html_SetSize(div,div.wa_size.height+2*rrXWN,div.wa_size.width+2*rrXWN) 
matrix.tx=ly+2*rrXWN
matrix.ty=2*rrXWN
}
if(rot==180)
{
html_SetPosition(div,div.wa_pos.x-lx,div.wa_pos.y-ly)
matrix.tx=lx
matrix.ty=ly
}
if(rot==270)
{
html_SetPosition(div,div.wa_pos.x-rrXWN,div.wa_pos.y-lx-rrXWN)
html_SetCanvasSize(el,div.wa_size.height+2*rrXWN,div.wa_size.width+2*rrXWN)
html_SetCanvasSize(canv2,div.wa_size.height+4*rrXWN,div.wa_size.width+4*rrXWN)
html_SetSize(div,div.wa_size.height+2*rrXWN,div.wa_size.width+2*rrXWN) 
matrix.tx=2*rrXWN
matrix.ty=lx+2*rrXWN
}
matrix.rotation=rot*2*Math.PI/360
c2.translate(matrix.tx,matrix.ty)
c2.rotate(matrix.rotation)
}
}
function WA_img(id,lx,ly,arc,FqLlI,bord_col,s_img,shadow,rot,gElHU)
{
var KtJKo=id+"-canvas"
var el=document.getElementById(KtJKo)
var c=el.getContext('2d');
var LLoOa=false;
if((gElHU!=undefined)&&(gElHU!=-1))
{
LLoOa=new mITlq(KtJKo,lx,ly,arc,gElHU)
}
var rrXWN=0;
if(shadow)rrXWN=6 

if(el.wa_lx==undefined)
{
el.wa_lx=lx
el.wa_ly=ly
el.wa_arc=arc
el.wa_bord_siz=FqLlI
el.wa_bord_col=bord_col
el.wa_s_img=s_img
el.wa_shadow=shadow
el.wa_rot=rot
el.wa_reflex=gElHU
c.translate(rrXWN,rrXWN)
}
var qDkOU_img=document.getElementById(id+"-cache")
qDkOU_img.onload=function()
{
c.clearRect(0,0,lx+2*rrXWN,ly+2*rrXWN)
var arc2=arc-FqLlI;
if(arc2<0)arc2=0;
this.width=lx-2*FqLlI
this.height=ly-2*FqLlI
if(isMSIE())
{
if(shadow) DwgZQ(c,0,0,lx,ly,arc,false,rot)
var jklcg=c.createPattern(this,'no-repeat');
c.fillStyle=jklcg;
c.beginPath()
iPuPh(c,FqLlI,FqLlI,lx-2*FqLlI,ly-2*FqLlI,arc2)
c.translate(FqLlI,FqLlI)
c.fill()
c.translate(-FqLlI,-FqLlI)
SHSrc(c,lx,ly,FqLlI,bord_col,arc,arc2)
}
else
if(navigator.userAgent.match(/Firefox/i)&&(shadow))
{
var huvEM=new  PtJGD()
GVnHi(id,lx,ly,rot,c,el,shadow,huvEM)
if(shadow) DwgZQ(c,0,0,lx,ly,arc,false,rot)
var c2=c
SHSrc(c2,lx,ly,FqLlI,bord_col,arc,arc2)
c2.beginPath()
iPuPh(c2,FqLlI,FqLlI,lx-2*FqLlI,ly-2*FqLlI,arc2)
c2.clip()
c2.drawImage(this,FqLlI,FqLlI,lx-2*FqLlI,ly-2*FqLlI);
c2.rotate(-huvEM.rotation)
c2.translate(-huvEM.tx,-huvEM.ty)
}
else
{
var canv2=eekKS(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
var huvEM=new  PtJGD()
GVnHi(id,lx,ly,rot,c2,canv2,shadow,huvEM)
c.clearRect(-rrXWN,-rrXWN,lx+2*rrXWN,ly+2*rrXWN)
SHSrc(c2,lx,ly,FqLlI,bord_col,arc,arc2)
c2.beginPath()
iPuPh(c2,FqLlI,FqLlI,lx-2*FqLlI,ly-2*FqLlI,arc2)
c2.clip()
c2.drawImage(this,FqLlI,FqLlI,lx-2*FqLlI,ly-2*FqLlI);
c2.rotate(-huvEM.rotation)
c2.translate(-huvEM.tx,-huvEM.ty)
if(shadow) CnDMk(c,rot)
c.drawImage(canv2,0,0);
if(LLoOa)
{
LLoOa.cOUVb(canv2)
}
}
}
qDkOU_img.src=s_img[0];
}
function YvkFg(lEQqF,gGBbO,rdIEJ,xwQoE)
{
lEQqF.style.left=rdIEJ+"px"
lEQqF.style.top=xwQoE+"px"
lEQqF.style.webkitTransformOrigin="0 0"
lEQqF.style.webkitTransform="rotate("+gGBbO+"deg)";
}
function deZPG(c,type,lx,ly,corner)
{
if(type==1)
QYqfH(c,0,0,lx,ly)
else
iPuPh(c,0,0,lx,ly,corner)
}
function ebAHt(el,c,type,lx,ly,corner,bg,vefUA,rot)
{
if(EYomB()==false)
{
c.fillStyle=bg;
deZPG(c,type,lx,ly,corner)
c.fill()
}
else
{
var canv2=eekKS(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
c2.fillStyle=bg;
deZPG(c2,type,lx,ly,corner)
c2.fill()
if(vefUA) CnDMk(c,rot)
c.drawImage(canv2,0,0);
c.shadowOffsetX=0;
c.shadowOffsetY=0;
c.shadowBlur=0;
}
}
function TCmYr(c,type,lx,ly,rrJTo,bg,gMQvt,ABjUM_glow)
{
if(gMQvt)
{
var x1=gMQvt[0];var y1=gMQvt[1];var lx1=gMQvt[2];var ly1=gMQvt[3];var fmLYY=gMQvt[4];
var SmSvg=c.createLinearGradient(x1,y1,x1,y1+ly1);
SmSvg.addColorStop(0,"rgba(255,255,255,0.7)");SmSvg.addColorStop(1,"rgba(255,255,255,0.1)");
c.fillStyle=SmSvg;
if(type==1) QYqfH(c,x1,y1,lx1,ly1)
else
iPuPh(c,x1,y1,lx1,ly1,fmLYY)
c.fill()
}
if(ABjUM_glow)
{
var x2=ABjUM_glow[0];var y2=ABjUM_glow[1];var lx2=ABjUM_glow[2];var ly2=ABjUM_glow[3];
var ugJwJ=ABjUM_glow[4];
var etpUM_glow=new RGBColor(ABjUM_glow[5]);
etpUM_glow.a=0;
var col1=ABjUM_glow[5];
var col2=etpUM_glow.toRGB();
var dlLBR=c.createLinearGradient(x2,y2,x2,y2+ly2);
dlLBR.addColorStop(0,col2);
dlLBR.addColorStop(0.2,col2);
dlLBR.addColorStop(1,col1);
c.fillStyle=dlLBR;
if(type==1) QYqfH(c,x2,y2,lx2,ly2)
else
iPuPh(c,x2,y2,lx2,ly2,ugJwJ)
c.fill()
}
}
function kZnNG(YxGCR,ReOpj,KgiMh,HpYAv,GaEuq,rrJTo,Ktrdv,gMQvt,ABjUM_glow,vefUA,gGBbO)
{
YxGCR.ReOpj=ReOpj;YxGCR.KgiMh=KgiMh;
YxGCR.HpYAv=HpYAv;YxGCR.GaEuq=GaEuq;
YxGCR.rrJTo=rrJTo;YxGCR.Ktrdv=Ktrdv,YxGCR.gMQvt=gMQvt;
YxGCR.ABjUM_glow=ABjUM_glow;YxGCR.vefUA=vefUA;YxGCR.gGBbO=gGBbO;
}
function WA_but_over(ReOpj,Ktrdv_over,etpUM_glow)
{
var MLcbE=document.getElementById(ReOpj) 
if(MLcbE&&MLcbE.pBsss)
with(MLcbE.pBsss)
{
var ABjUM_glow_over;
if(ABjUM_glow&&etpUM_glow)
{
ABjUM_glow_over=new Array();
for(var tqdIp=0;tqdIp<ABjUM_glow.length;tqdIp++)ABjUM_glow_over[tqdIp]=ABjUM_glow[tqdIp];
ABjUM_glow_over[5]=etpUM_glow;
}
WA_but(ReOpj,KgiMh,HpYAv,GaEuq,rrJTo,Ktrdv_over,gMQvt,ABjUM_glow_over,vefUA,gGBbO);
}
var HxJTR_over0=document.getElementById(ReOpj+"-div0")
if(HxJTR_over0)html_SetVisibility(HxJTR_over0,false);
var AOlSF=document.getElementById(ReOpj+"-div1")
if(AOlSF)html_SetVisibility(AOlSF,true);
}
function WA_but_out(ReOpj)
{
var MLcbE=document.getElementById(ReOpj)
with(MLcbE.pBsss)
{
WA_but(ReOpj,KgiMh,HpYAv,GaEuq,rrJTo,Ktrdv,gMQvt,ABjUM_glow,vefUA,gGBbO);
}
var HxJTR_over0=document.getElementById(ReOpj+"-div0")
if(HxJTR_over0)html_SetVisibility(HxJTR_over0,true);
var AOlSF=document.getElementById(ReOpj+"-div1")
if(AOlSF)html_SetVisibility(AOlSF,false);
}
function WA_but(id,type,lx,ly,corner,bg,top_light,s_glow,vefUA,rot)
{
var el=document.getElementById(id)
if(el.pBsss==undefined)
{
el.pBsss=new Array();
kZnNG(el.pBsss,id,type,lx,ly,corner,bg,top_light,s_glow,vefUA,rot);
}
var c=el.getContext('2d');
var rrXWN=0;
if(vefUA)rrXWN=6 
c.fillStyle="#000000";
c.fillRect(0,0,lx+2*rrXWN,ly+2*rrXWN) 
c.clearRect(0,0,lx+2*rrXWN,ly+2*rrXWN) 
var bg2=bg
if(bg2.substring(0,1)=="(")
{
bg2=bg2.substring(1)
bg2=bg2.substring(0,bg2.length-1)
var img=new Image();
img.onload=function()
{
if(EYomB()==false)
{
c.translate(rrXWN,rrXWN)
img.width=lx
img.height=ly 
if(vefUA)
DwgZQ(c,0,0,lx,ly,corner,(type==1),rot)
if(navigator.userAgent.match(/Firefox/i))
{
c.beginPath()
deZPG(c,type,lx,ly,corner)
c.clip()
c.drawImage(img,0,0,lx,ly);
}
else
{
var ptrn=c.createPattern(img,'no-repeat');
c.fillStyle=ptrn;
c.beginPath()
deZPG(c,type,lx,ly,corner)
c.fill()
}
TCmYr(c,type,lx,ly,corner,bg,top_light,s_glow)
c.translate(-rrXWN,-rrXWN)
}
else
{
var canv2=eekKS(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
c2.beginPath()
deZPG(c2,type,lx,ly,corner)
c2.clip()
c2.drawImage(img,0,0,lx,ly);
TCmYr(c2,type,lx,ly,corner,bg,top_light,s_glow)
if(vefUA) CnDMk(c,rot) 
c.drawImage(canv2,rrXWN,rrXWN);
}
}
img.src=bg2;
return;
}
c.translate(rrXWN,rrXWN) 
if(vefUA&&(EYomB()==false))
{
var IesPn=new RGBColor(bg);
if(IesPn.a>0)
{
DwgZQ(c,0,0,lx,ly,corner,(type==1),rot)
}
}
ebAHt(el,c,type,lx,ly,corner,bg2,vefUA,rot)
TCmYr(c,type,lx,ly,corner,bg,top_light,s_glow)
c.translate(-rrXWN,-rrXWN)
}
function DwgZQ(c,x0,y0,lx0,ly0,corner,is_circle,rot)
{
var decShadow=2;
var offset=ZYjMD(rot)
c.translate(decShadow*offset.x,decShadow*offset.y)
var dec_init=2;
var x=x0-dec_init;var y=y0-dec_init;var lx=lx0+2*dec_init;var ly=ly0+2*dec_init;var opacity=0.1;
for(var n=0;n<4;n++)
{
c.beginPath()
if(is_circle) QYqfH(c,x,y,lx,ly);else iPuPh(c,x,y,lx,ly,corner);
c.fillStyle="rgba(0,0,0, "+opacity+")"
c.fill()
x+=1;y+=1;lx-=2;ly-=2;opacity+=0.04
}
c.translate(-decShadow*offset.x,-decShadow*offset.y)
}
function uAjZF(id,x,y,lx,ly,arc,FqLlI,bord_col,bg,shadow,rot,DgmSZ,vbQHD)
{
if(vbQHD==undefined)vbQHD=true;
var el=document.getElementById(id)
var c=el.getContext('2d');
if(DgmSZ==undefined)DgmSZ=1.0;
var rrXWN=0;
c.shadowOffsetX=0;
c.shadowOffsetY=0;
c.shadowBlur=0;
if(shadow)
{
rrXWN=6;
}
if(vbQHD) c.clearRect(0,0,el.width,el.height)
c.globalAlpha=DgmSZ 
var x_rect0=0;
var y_rect0=0;
var bg1=bg[0]
var fill_obj=false;
if(bg1.substring(0,1)=="(")
{
bg1=bg1.substring(1);
bg1=bg1.substring(0,bg1.length-1)
var Lkqto=bg1.split(";");
var x1=parseFloat(Lkqto[0]);
var y1=parseFloat(Lkqto[1]);
var x2=parseFloat(Lkqto[2]);
var y2=parseFloat(Lkqto[3]);
var col1=Lkqto[4];
var col2=Lkqto[5];
var grad=c.createLinearGradient(x1,y1,x2,y2);
grad.addColorStop(0,col1);
grad.addColorStop(1,col2);
fill_obj=grad
}
else
{
if(bg1.length==0)bg1='rgba(0,0,0,0)'
fill_obj=bg1;
}
var arc2=arc-FqLlI;
if(arc2<0)arc2=0
var canv2=false;
var c2=c;
{
if(shadow) DwgZQ(c,rrXWN,rrXWN,lx,ly,arc,false,rot)
}
if(FqLlI>0)
{
c2.fillStyle=bord_col;
iPuPh(c2,x,y,lx,ly,arc)
GNRAR(c2,x+FqLlI,y+FqLlI,lx-2*FqLlI,ly-2*FqLlI,arc2,true)
c2.fill()
}


c2.fillStyle=fill_obj 
iPuPh(c2,x+FqLlI,y+FqLlI,lx-2*FqLlI,ly-2*FqLlI,arc2)
c2.fill();
}
function SUxxA(EZAor,YJEnv,AqVDW)
{
return new Point(Math.round(EZAor*Math.cos(AqVDW)-YJEnv*Math.sin(AqVDW)),Math.round(EZAor*Math.sin(AqVDW)+YJEnv*Math.cos(AqVDW)))
}
function wPQIV(c,x,y,lx,ly,arc,clowckwise,gGBbO)
{
c.beginPath()
oKopH(c,x,y,lx,ly,arc,clowckwise,gGBbO)
}
function oKopH(c,x,y,lx,ly,arc,clowckwise,gGBbO)
{
if(clowckwise)
{
c.moveTo(x+arc,y);
c.lineTo(x+lx-arc,y);
c.quadraticCurveTo(x+lx,y,x+lx,y+arc);
c.lineTo(x+lx,y+ly-arc);
c.quadraticCurveTo(x+lx,y+ly,x+lx-arc,y+ly);
c.lineTo(x+arc,y+ly);
c.quadraticCurveTo(x,y+ly,x,y+ly-arc);
c.lineTo(x,y+arc);
c.quadraticCurveTo(x,y,x+arc,y);
return;
}
var okrut=[[x,y+arc],[x,y+ly-arc],[x,y+ly],[x+arc,y+ly],[x+lx-arc,y+ly],[x+lx,y+ly],[x+lx,y+ly-arc],[x+lx,y+arc],[x+lx,y],[x+lx-arc,y],[x+arc,y],[x,y],[x,y+arc]];
var theta=gGBbO*2*Math.PI/360
for(var n=0;n<okrut.length;n++)
{
var SMvZD=okrut[n][0]
var NMWRv=okrut[n][1]
okrut[n][0]=SMvZD*Math.cos(theta)-NMWRv*Math.sin(theta);
okrut[n][1]=SMvZD*Math.sin(theta)+NMWRv*Math.cos(theta);
}
var n=0;
c.moveTo(okrut[n][0],okrut[n++][1]);
c.lineTo(okrut[n][0],okrut[n++][1]);
c.quadraticCurveTo(okrut[n][0],okrut[n++][1],okrut[n][0],okrut[n++][1]);
c.lineTo(okrut[n][0],okrut[n++][1]);
c.quadraticCurveTo(okrut[n][0],okrut[n++][1],okrut[n][0],okrut[n++][1]);
c.lineTo(okrut[n][0],okrut[n++][1]);
c.quadraticCurveTo(okrut[n][0],okrut[n++][1],okrut[n][0],okrut[n++][1]);
c.lineTo(okrut[n][0],okrut[n++][1]);
c.quadraticCurveTo(okrut[n][0],okrut[n++][1],okrut[n][0],okrut[n++][1]);
}
function XiMRr(a,b,x,y)
{
return(a*x-y+b)/(Math.sqrt(1+a*a))
}
function uaSva(new_a1,new_b1,OaHaU,multi)
{
var d=0;
for(var i=0;i<OaHaU.length;i++)
{
var AXQlR=OaHaU[i]
var d1=XiMRr(new_a1,new_b1,AXQlR.x,AXQlR.y)
if(multi<0)
{
if(d1<0) d=Math.max(d,-d1);
}
else
{
if(d1>0) d=Math.max(d,d1);
}
}
return d;
}
function xwQIl(o1,o2)
{
if(o1<o2) return-1
if(o1>o2) return 1
return 0
}
function PrNqx(c,lx,ly,bg1)
{
var fill_obj=false;
var YiDRh=false;
var ObhYX=false;
var OaHaU=false
if(bg1.substring(0,1)=="(")
{
bg1=bg1.substring(1);
bg1=bg1.substring(0,bg1.length-1)
var Lkqto=bg1.split(";");
var nnTJl=new Point(parseFloat(Lkqto[0]),parseFloat(Lkqto[1]));
var tuDmI=new Point(parseFloat(Lkqto[2]),parseFloat(Lkqto[3]));
YiDRh=nnTJl.clone()
ObhYX=tuDmI.clone()
var col1=Lkqto[4];
var col2=Lkqto[5];
var grad=c.createLinearGradient(YiDRh.x,YiDRh.y,ObhYX.x,ObhYX.y);
if(isMSIE())
{
YiDRh=nnTJl.clone()
ObhYX=tuDmI.clone() 
var SmSvg=0;
var dlLBR=1;
{
OaHaU=[{x:0,y:0},{x:lx,y:0},{x:lx,y:ly},{x:0,y:ly}]
var d1=0;
var d2=0;
var a=(ObhYX.y-YiDRh.y)/(ObhYX.x-YiDRh.x);
var b=YiDRh.y-a*YiDRh.x;
var diff=1;
if(a==Infinity)
{
d1=(YiDRh.y)
d2=(ly-ObhYX.y)
}
else
if(a==0)
{
d1=(YiDRh.x)
d2=(lx-ObhYX.x)
}
else
{
var new_a1=-1/a;
var new_b1=YiDRh.y-new_a1*YiDRh.x;
d1=uaSva(new_a1,new_b1,OaHaU,-1)
var new_b2=ObhYX.y-new_a1*ObhYX.x;
d2=uaSva(new_a1,new_b2,OaHaU,1)
if(new_a1<0)diff=-1;
}
var d=Math.sqrt(Math.pow(ObhYX.x-YiDRh.x,2)+Math.pow(ObhYX.y-YiDRh.y,2))
var total=(d1+d+d2)
SmSvg=d1/total;
dlLBR=(d1+d)/total;
var pt_prod0=new Point(ObhYX.x-YiDRh.x,ObhYX.y-YiDRh.y)
var pt_prod1=new Point(0,100)
var prod=(pt_prod0.x*pt_prod1.y-pt_prod1.x*pt_prod0.y);
if(prod*diff<0)
{
SmSvg=d2/total;
dlLBR=(d2+d)/total;
}
}
grad.addColorStop(SmSvg,col1);
grad.addColorStop(dlLBR,col2);

}
else
{
grad.addColorStop(0,col1);
grad.addColorStop(1,col2);
}
fill_obj=grad
}
else
{
fill_obj=bg1;
}
return fill_obj;
}
function WA_bg3(id,lx,ly,arc,FqLlI,bord_col,bg,shadow,rot,ColXg,TCQNH,DgmSZ,vbQHD)
{


var theta=rot*2*Math.PI/360 
if(vbQHD==undefined)vbQHD=true;
if(DgmSZ==undefined)DgmSZ=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
var rrXWN=(el.width-lx)/2;
if(vbQHD) c.clearRect(0,0,el.width,el.height)
var x_rect0=rrXWN;
var y_rect0=rrXWN;
var bg1=bg[0]
var fill_obj=false;
var YiDRh=false;
var ObhYX=false;
var OaHaU=false
fill_obj=PrNqx(c,lx,ly,bg1) 
if(DgmSZ==undefined)DgmSZ=1.0;
var arc2=arc-FqLlI;
if(arc2<0)arc2=0
var canv2=false;
var c2=c;
if(shadow)
{
c2.translate(ColXg+6,TCQNH+6)
}
else
{
c2.translate(ColXg,TCQNH)
}
c2.fillStyle=fill_obj;
wPQIV(c2,FqLlI,FqLlI,lx-2*FqLlI,ly-2*FqLlI,arc2,false,rot)
c2.fill();
}
function WA_bg(id,lx,ly,arc,FqLlI,bord_col,bg,shadow,rot,DgmSZ,vbQHD)
{

if(vbQHD==undefined)vbQHD=true;
if(DgmSZ==undefined)DgmSZ=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
var rrXWN=(el.width-lx)/2;
if(vbQHD) c.clearRect(0,0,el.width,el.height) 

var fill_obj=PrNqx(c,lx,ly,bg[0])
if(bg.length>1)
{
var bg2=bg[1]
var img=new Image();
img.onload=function()
{
var ptrn=c.createPattern(img,'repeat');
c.fillStyle=ptrn;
c.beginPath()
RWTjJ(c,el,lx,ly,arc,FqLlI,bord_col,ptrn,shadow,rot,DgmSZ)
}
img.src=bg2;
}
else
{
RWTjJ(c,el,lx,ly,arc,FqLlI,bord_col,fill_obj,shadow,rot,DgmSZ)
}
}
function RWTjJ(c,el,lx,ly,arc,FqLlI,bord_col,fill_obj,shadow,rot,DgmSZ)
{
if(DgmSZ==undefined)DgmSZ=1.0;
var arc2=arc-FqLlI;
if(arc2<0)arc2=0
var rrXWN=(el.width-lx)/2;
var x_rect0=rrXWN;
var y_rect0=rrXWN;
var canv2=false;
var c2=c;
c.globalAlpha=DgmSZ
if(EYomB()==true)
{
canv2=eekKS(lx,ly);
c2=canv2.getContext('2d');
c2.globalAlpha=DgmSZ
}
else
{
c2.translate(rrXWN,rrXWN)
if(shadow) DwgZQ(c,0,0,lx,ly,arc,false,rot)
}
if(FqLlI>0)
{
c2.fillStyle=bord_col;
iPuPh(c2,0,0,lx,ly,arc)
GNRAR(c2,FqLlI,FqLlI,lx-2*FqLlI,ly-2*FqLlI,arc2,true)
c2.fill()
}
c2.fillStyle=fill_obj;
iPuPh(c2,FqLlI,FqLlI,lx-2*FqLlI,ly-2*FqLlI,arc2)
c2.fill();
if(EYomB()==true)
{
if(shadow) CnDMk(c,rot)
c.drawImage(canv2,rrXWN,rrXWN);
}
else
{
c2.translate(-rrXWN,-rrXWN)
}
}
function WA_div_offset(id,x,y)
{
if(isMSIE())
{
var el=document.getElementById(id)
if(el.filters)
{
el.style.left=""+x+"px";el.style.top=""+y+"px";
}
}
}


function Size(lx,ly)
{
this.width=lx;this.height=ly;
this.clone=function(){return new Size(this.width,this.height)}
this.greaterThan=function(ABjUM){return(this.width>ABjUM.width)&&(this.height>ABjUM.height)}
this.scale=function(NpnEI,owpTU)
{
if(!owpTU)owpTU=false
var CwTPL=this;
var qKvti=CwTPL.width
var dwjAZ=CwTPL.height
var p1=qKvti*NpnEI.height;
var p2=NpnEI.width*dwjAZ;
var r1=qKvti/dwjAZ;
var r2=dwjAZ/qKvti;
var newSize1=new Size(NpnEI.height*r1,NpnEI.height);
var newSize2=new Size(NpnEI.width,NpnEI.width*r2);
if(p2>p1)
{
if((owpTU==true)||((newSize1.width<=CwTPL.width)&&(newSize1.height<=CwTPL.height)))
{
CwTPL.width=Math.round(newSize1.width);
CwTPL.height=Math.round(newSize1.height);
}
}
else
{
if((owpTU==true)||((newSize2.width<=CwTPL.width)&&(newSize2.height<=CwTPL.height)))
{
CwTPL.width=Math.round(newSize2.width);
CwTPL.height=Math.round(newSize2.height);
}
}
this.width=CwTPL.width;
this.height=CwTPL.height;
return true;
}
}
function Point(p_x,p_y){this.x=p_x;this.y=p_y;
this.translate=function(EZAor,YJEnv){this.x+=EZAor;this.y+=YJEnv;}
this.clone=function(){return new Point(this.x,this.y)}
}
function Rect(p_x,p_y,lx,ly)
{
this.x=p_x;this.y=p_y;this.width=lx;this.height=ly;
this.clone=function(){return new Rect(this.x,this.y,this.width,this.height)}
this.equals=function(lEQqF){return(this.x==lEQqF.x)&&(this.y==lEQqF.y)&&(this.width==lEQqF.width)&&(this.height==lEQqF.height);}
this.copy=function(lEQqF){this.x=lEQqF.x;this.y=lEQqF.y;this.width=lEQqF.width;this.height=lEQqF.height;}
this.translate=function(EZAor,YJEnv){this.x+=EZAor;this.y+=YJEnv;}
this.isValid=function(){return(this.width>0)&&(this.height>0);}
}
function html_getLayer(lEQqF)
{
if(typeof(lEQqF)=="string")return document.getElementById(lEQqF);
return lEQqF;
}
function html_SetPosition(lEQqF,EZAor,YJEnv){
lEQqF=html_getLayer(lEQqF);
lEQqF.style.left=EZAor+"px";lEQqF.style.top=YJEnv+"px";
}
function html_SetSize(vAJXa,HpYAv,GaEuq){
lEQqF=html_getLayer(vAJXa);
lEQqF.style.width=HpYAv+"px";lEQqF.style.height=GaEuq+"px";
}
function html_SetRect(lEQqF,NhCfw){html_SetGeometry(lEQqF,NhCfw.x,NhCfw.y,NhCfw.width,NhCfw.height);}
function html_SetGeometry(lEQqF,EZAor,YJEnv,HpYAv,GaEuq){html_SetPosition(lEQqF,EZAor,YJEnv);html_SetSize(lEQqF,HpYAv,GaEuq);}
function html_SetVisibility(lEQqF,jjTAx){lEQqF=html_getLayer(lEQqF);lEQqF.style.visibility=(jjTAx)?"visible":"hidden";}
function html_SetDisplay(lEQqF,jjTAx){lEQqF=html_getLayer(lEQqF);lEQqF.style.display=(jjTAx)?"block":"none";}
function html_SetCanvasSize(lEQqF,HpYAv,GaEuq){lEQqF=html_getLayer(lEQqF);lEQqF.width=HpYAv;lEQqF.height=GaEuq;}
function html_writeContent(lEQqF,ABjUM){lEQqF=html_getLayer(lEQqF);lEQqF.innerHTML=ABjUM;}
function html_SetOpacity(lEQqF,beaEs)
{
lEQqF=html_getLayer(lEQqF);
lEQqF.style['opacity']=beaEs;
lEQqF.style['-moz-opacity']=beaEs;
lEQqF.style.filter=(beaEs==1)?'':'alpha(opacity='+(beaEs*100)+')';
}
var BRQks=[
{acc:"e",l:["é","è","ë"]},{acc:"a",l:["à","ä","â"]},{acc:"u",l:["ü","û"]},{acc:"c",l:["ç"]},{acc:"o",l:["ö","ô"]}
];
function removeAccentsFromString(s)
{
var res=s.toLowerCase();
for(var i=0;i<BRQks.length;i++)
{
var array2=BRQks[i].l;
for(var i2=0;i2<array2.length;i2++)
{
var reg=new RegExp(array2[i2],"g");
res=res.replace(reg,BRQks[i].acc)
}
}
return res;
}
function trimString(str)
{
return str.replace(/^\s*|\s*$/g,"");
}
function IsNumeric(SniiJ)
{
var aXRuY="0123456789.";var LrECJ=true;var BsJwZ;
for(tqdIp=0;tqdIp<SniiJ.length&&LrECJ==true;tqdIp++){BsJwZ=SniiJ.charAt(tqdIp);if(aXRuY.indexOf(BsJwZ)==-1) LrECJ=false;}
return LrECJ;
}
function getWindowScroll()
{
var x=0;var y=0;
if(typeof(window.pageYOffset)=='number'){
x=window.pageXOffset;y=window.pageYOffset;
}else if(document.body&&(document.body.scrollLeft||document.body.scrollTop)){
x=document.body.scrollLeft;y=document.body.scrollTop;
}else if(document.documentElement&&(document.documentElement.scrollLeft||document.documentElement.scrollTop)){
x=document.documentElement.scrollLeft;y=document.documentElement.scrollTop;
}
return new Point(x,y);
}
function getWindowSize()
{
var lx=0;var ly=0;;
if(isMSIE())
{
lx=document.documentElement.clientWidth;ly=document.documentElement.clientHeight;
if((lx==0)&&(ly==0))
{
if(document.body&&(document.body.clientWidth)){
lx=document.body.clientWidth;ly=document.body.clientHeight;
}
}
}
else
if(typeof(window.innerWidth)=='number')
{
lx=window.innerWidth;
if(document.documentElement.clientWidth>0)lx=document.documentElement.clientWidth
ly=window.innerHeight;
if(document.documentElement.clientHeight>0)ly=document.documentElement.clientHeight
}
if(isIPhone())
if(typeof(window.innerWidth)=='number')
{
lx=window.innerWidth;ly=window.innerHeight;
}
return new Size(lx,ly);
}
function getWindowFullSize()
{
var lx=0;var ly=0;;
if(isMSIE())
{
lx=document.documentElement.clientWidth;ly=document.documentElement.clientHeight;
if((lx==0)&&(ly==0))
{
if(document.body&&(document.body.clientWidth)){
lx=document.body.clientWidth;ly=document.body.clientHeight;
}
}
}
else
if(typeof(window.innerWidth)=='number'){
lx=window.innerWidth;
if(document.documentElement.clientWidth>0)lx=document.documentElement.clientWidth
ly=window.innerHeight;
if(document.documentElement.clientHeight>0)ly=document.documentElement.clientHeight
}
return new Size(lx,ly);
}
function urlSuffixe(KSRoh)
{
var hrlEm=KSRoh*60;
var afEYR=new Date();
var pVGRP=0;
pVGRP+=afEYR.getYear()*12*31*24*60*60;
pVGRP+=afEYR.getMonth()*31*24*60*60;
pVGRP+=afEYR.getDate()*24*60*60;
pVGRP+=afEYR.getHours()*60*60;
pVGRP+=afEYR.getMinutes()*60;
pVGRP+=afEYR.getSeconds();
if(hrlEm!=0)
{
pVGRP=Math.floor(pVGRP/hrlEm)*hrlEm
}
return "-"+pVGRP;
}
function html_findPos(obj)
{
var beaEs=cwnrC(obj)
return new Point(beaEs[0],beaEs[1])
}
function cwnrC(obj)
{
var curleft=curtop=0;
if(obj.offsetParent)
{
do
{
curleft+=obj.offsetLeft;curtop+=obj.offsetTop;
}while(obj=obj.offsetParent);
}
return [curleft,curtop];
}
function Wa_search_input(SFePo,HpYAv,GaEuq)
{
document.write("<input id='"+SFePo+"' type=search results=0 placeholder='' style='width:"+HpYAv+"px;height:"+GaEuq+"px;'>")
}
function bqpcu()
{
var sIkLZ=document.getElementsByTagName("A");
for(var tqdIp=0;tqdIp<sIkLZ.length;tqdIp++)
{
var lEQqF=sIkLZ[tqdIp];
if(lEQqF.onmouseover)lEQqF.onmouseover=null;
if(lEQqF.onmouseout)lEQqF.onmouseout=null;
}
}
function AIZjI()
{
for(var GBOiZ in document.wa_global_list_element)
{
var ReOpj=document.wa_global_list_element[GBOiZ]
var MLcbE=document.getElementById(ReOpj)
MLcbE.onclick=function()
{
WA_focus(this)
}
}
}
function WA_declare(ReOpj)
{
if(!document.wa_global_list_element)
{
document.wa_global_list_element=new Array();;
}
document.wa_global_list_element.push(ReOpj)
}
function YvweZ()
{
var oFtEd=window.location.search;
if(oFtEd.substr(0,1)=="?")oFtEd=oFtEd.substr(1);
if(oFtEd.length==0)return;
var oFlpb=new Array();
var CsYOG=oFtEd.split("&");
for(var i=0;i<CsYOG.length;i++)
{
var EWtWF=CsYOG[i].split("=");oFlpb[EWtWF[0]]=EWtWF[1];
}
var ABjUM_info=oFlpb["crbst_info"];
if(!ABjUM_info)return;
var VKUeN=new Array();
VKUeN.m_unid=ABjUM_info;
VKUeN.m_index_item=-1;
var cHhpO=ABjUM_info.indexOf("-");
if(cHhpO!=-1)
{
VKUeN.m_unid="wa-id-"+ABjUM_info.substring(0,cHhpO);
VKUeN.m_index_item=parseInt(ABjUM_info.substring(cHhpO+1));
}
document.wa_global_query_info=VKUeN;
}
function IS_onload_WA()
{

if(isMSIE8())
{
wa_timeout("IS_onload_ui()",0)
}
else
{
IS_onload_ui()
}
if(isIPhone())
{
bqpcu()
}
else
{
AIZjI()
}
YvweZ();

wfWVe()
}
function wfWVe()
{
var iLIsa=0;
var eCiHg=document.webaca_banner_height;
if(document.webaca_page_is_centered)
{
var RuKYX=getWindowSize().width
var fxAWr=document.webaca_width_page
if(RuKYX>fxAWr)iLIsa=(RuKYX-fxAWr)/2;
}
document.body.style.backgroundPosition=iLIsa+"px "+eCiHg+"px";
}


function WA_loadMessages()
{
for(var k in CONST_WA_TR)
{
var key=CONST_WA_TR[k]
Translator.m_tr[key[0]]=key[1]
}
for(var n=0;n<CONST_WA_COUNTRIES.codes.length;n++)
{
var GmvER=CONST_WA_COUNTRIES.codes[n]
var arHQQ=CONST_WA_COUNTRIES.labels[n]
Translator.m_countries[GmvER]=arHQQ
}
}
function Translator()
{
}
Translator.m_tr=new Array();
Translator.m_countries=new Array();
Translator.tr=function(k)
{
try
{
var v=Translator.m_tr[k]
if((v==undefined)||(v.length==0))return "@"+k;
v=v.replace(/\n/g,"<br>")
return v
}
catch(e){}
return k;
}
Translator.country=function(k)
{
try
{
var v=Translator.m_countries[k]
if((v==undefined)||(v.length==0))return "@"+k;
return v
}
catch(e){}
return k;
}
function WA_GraphicElement(ReOpj,ENVPA,vefUA)
{
this.ReOpj=ReOpj;
this.ENVPA=ENVPA
this.vefUA=vefUA;
this.ULidC=this.ReOpj+"-div"
this.lmAxA=this.ReOpj+"-canvas"
this.cZift=new Rect(0,0,0,0)
this.IBibT=false;
this.tWlmd=false;
this.rrXWN=6;
this.gjYVt=false;
this.gJWnp=false;
this.MgJMG=false;
this.xTqSt="";
this.shadow=function()
{
return this.vefUA;
}
this.marginShadow=function()
{
return this.rrXWN;
}
this.rect=function()
{
return this.cZift;
}
this.canvasId=function()
{
return this.lmAxA;
}
this.divId=function()
{
return this.ULidC;
}
this.opacity=function()
{
return this.rglqW;
}
this.img_clip=function()
{
return this.gJWnp;
}
this.img_src=function()
{
return this.gjYVt;
}
this.toHtml=function()
{
var ABjUM=""
ABjUM+="<div id='"+this.ULidC+"' style=\"";
ABjUM+="position:absolute;";
if(this.xTqSt.length>0)
{
ABjUM+="cursor:pointer;";
}
if(this.rect.x>0)ABjUM+="left:"+this.rect.x+"px;";
if(this.rect.y>0)ABjUM+="top:"+this.rect.y+"px;";
if(this.rect.width>0)ABjUM+="width:"+this.rect.width+"px;";
if(this.rect.height>0)ABjUM+="height:"+this.rect.height+"px;";
if(ENVPA)
ABjUM+="z-index:"+ENVPA+";";
ABjUM+="\" ";
if(this.xTqSt.length>0)
{
ABjUM+="onclick=\""+this.xTqSt+"\" "
}
ABjUM+=">";
if((this.rect.width>0)&&this.shadow())
{
ABjUM+=html_canvas(this.lmAxA,this.rect.width+2*this.rrXWN,this.rect.height+2*this.rrXWN)+"</div>";
}
else
{
ABjUM+=html_canvas(this.lmAxA,0,0)+"</div>";
}
return ABjUM
}
this.setImage=function(AxPeT,ImMwn,gGBbO)
{
if(gGBbO==undefined)gGBbO=0;
if((AxPeT==this.gjYVt)&&(this.gJWnp&&this.gJWnp.equals(ImMwn))&&(this.MgJMG==gGBbO))
{
return;
}
this.MgJMG=gGBbO;
this.gjYVt=AxPeT;
this.gJWnp=ImMwn;
this.YXXCj()
}
this.registerDynamicCanvas=function()
{
registerDynamicCanvas(this.lmAxA);
this.tWlmd=true;
this.setRect(this.cZift.x,this.cZift.y,this.cZift.width,this.cZift.height)
}
this.YXXCj=function()
{
if((this.cZift.width>0)&&(this.cZift.height>0))
{
this.draw()
}
this.IBibT=true
};
this.draw=function(){};
this.setPosition=function(EZAor,YJEnv)
{
this.cZift.x=EZAor;this.cZift.y=YJEnv;
if(this.tWlmd==false)return
html_SetPosition(this.ULidC,this.cZift.x,this.cZift.y)
if(this.IBibT==false)
{
this.YXXCj()
}
}
this.setOnClick=function(ABjUM)
{
this.xTqSt=ABjUM
}
this.width=function(){return this.cZift.width;}
this.height=function(){return this.cZift.height;}
this.setSize=function(HpYAv,GaEuq)
{
this.cZift.width=HpYAv;this.cZift.height=GaEuq;
var mUNuC=HpYAv
var tngLC=GaEuq
if(this.vefUA)
{
mUNuC+=2*this.rrXWN
tngLC+=2*this.rrXWN
}
if(this.tWlmd==false)return
html_SetSize(this.ULidC,mUNuC,tngLC)
html_SetCanvasSize(this.lmAxA,HpYAv,GaEuq)
this.YXXCj()
}
this.setRect=function(EZAor,YJEnv,HpYAv,GaEuq)
{
this.cZift.x=EZAor;this.cZift.y=YJEnv;this.cZift.width=HpYAv;this.cZift.height=GaEuq;
var mUNuC=HpYAv
var tngLC=GaEuq
var cbmtP=EZAor
var OmHtM=YJEnv
if(this.vefUA)
{
mUNuC+=2*this.rrXWN
tngLC+=2*this.rrXWN
cbmtP-=this.rrXWN
OmHtM-=this.rrXWN
}
if(this.tWlmd==false)return 
html_SetGeometry(this.ULidC,cbmtP,OmHtM,mUNuC,tngLC);
html_SetCanvasSize(this.lmAxA,mUNuC,tngLC)
try{this.YXXCj()}catch(e){
alert(e.message)
}
}
this.setVisible=function(jjTAx)
{
if(this.tWlmd==false)return
html_SetVisibility(this.ULidC,jjTAx)
}
this.setOpacity=function(beaEs)
{
this.rglqW=beaEs 
if(this.tWlmd==false)return
this.YXXCj()
}
}

function is_onresize()
{
WA_Dialog.resizeUI()
try
{
if(WA_PhotoAlbum_resizeUI)WA_PhotoAlbum_resizeUI()
}
catch(e){}
wfWVe()
}
function is_onscroll()
{
centerFullPageContainer();
}
function registerDynamicCanvas(id)
{
if(isMSIE())
G_vmlCanvasManager.initElement(document.getElementById(id));
}
function WA_openDialogAction(GBOiZ)
{
var HxZcJ=WA_Dialog.towuV;
if(GBOiZ==-1){HxZcJ.closeWin();return;}
var IPGPZ=HxZcJ.INJBw(GBOiZ);
if(IPGPZ[5])
{
IPGPZ[4].call(IPGPZ[6],IPGPZ[5])
}
else
{
IPGPZ[4](IPGPZ[5]);
}
}
function WA_Dialog(jjTAx_close_button)
{
this.CgZoe=0;
this.OJNja=0;
this.NpnEI_win_width=600;
this.NpnEI_win_height=400;
this.HQtJQ=new Array();
this.imEat="wa-dialog-but-";
this.OvSNJ=this.imEat+"div-";
this.JIjvC=this.imEat+"canvas-";
this.BUTTON_HEIGHT=25;
this.vgFKC=CONST_WA_GLOBAL_COLOR_THEME;
this.jjTAx_close_button=jjTAx_close_button;
this.obLoh=6;
this.neAQd=function()
{
if(this.jjTAx_close_button==undefined)this.jjTAx_close_button=true;
this.rckKp();
}
this.resetButtons=function()
{
this.rckKp();
}
this.idealHeight=function()
{
return this.inJFT
}
this.displayWindowWithAutoResize=function(lNfwc,oAros)
{
this.GdbAi=false
this.inJFT=lNfwc
this.qrkEI=oAros 
this.resetButtons();
oAros.call(this)
var l=document.getElementById('wa-dialog-content');
if(this.GdbAi==false)
if(l.scrollHeight>200)
{
this.GdbAi=true
this.inJFT=l.scrollHeight+150
this.resetButtons();
oAros.call(this)
}
}
this.initializeWindow=function(NpnEI_lx,NpnEI_ly)
{
if(WA_Dialog.towuV)WA_Dialog.towuV.closeWin()
WA_Dialog.towuV=this;
this.NpnEI_win_width=NpnEI_lx;
this.NpnEI_win_height=NpnEI_ly;
this.VtVGI()
}
this.progress=function()
{
this.initializeWindow(300,100) 
this.writeContent("<div width=100% align=center><img src='wa_loading.gif'></div>")
}
this.UJgLQ=function(mess)
{


this.initializeWindow(450,130)
var s=""
s+="<table border=0 style='width:100%;'><tr>";
s+="<td align=center style='"+this.cssText1()+"'>"
s+=mess
s+="</td></tr></table>"
this.writeContent(s)
}
this.addButton=function(arHQQ,DRMBa,qDkOU,snNVd)
{
var sfMKO=this.HQtJQ.length
if(this.jjTAx_close_button==true)
{
sfMKO--;
}
var HpYAv=Math.max((arHQQ.length*8)*1.2+30,80)
var CwTPL=new Size(HpYAv,this.BUTTON_HEIGHT);
this.xxUWj("action_"+sfMKO,sfMKO,arHQQ,DRMBa,CwTPL,qDkOU,snNVd)
}
this.rckKp=function()
{
this.HQtJQ=new Array();
if(this.jjTAx_close_button)
{
var CwTPL=new Size(120,20);
this.xxUWj("close",-1,Translator.tr("Close")+" - X",null,CwTPL)
}
}
this.xxUWj=function(pkuql,sfMKO,arHQQ,DRMBa,CwTPL,qDkOU,snNVd)
{
var IPGPZ=[pkuql,CwTPL,sfMKO,arHQQ,DRMBa,qDkOU,snNVd];
this.HQtJQ.push(IPGPZ);
}
this.writeContent=function(s)
{
var l=document.getElementById('wa-dialog-content');
l.innerHTML=s
}
this.INJBw=function(pkuql)
{
for(var GBOiZ=0;GBOiZ<this.HQtJQ.length;GBOiZ++)
{
var IPGPZ=this.HQtJQ[GBOiZ];
if((IPGPZ[0]==pkuql)||(IPGPZ[2]+""==pkuql+""))
return IPGPZ;
}
return undefined;
}
this.gccHQ=function(pkuql)
{
var IPGPZ=this.INJBw(pkuql);
return IPGPZ[1]
}
this.msbrC=function(ZiHLm)
{
var IPGPZ=this.INJBw(ZiHLm);
var pkuql=IPGPZ[0];
var sfMKO=IPGPZ[2];
var etpUM_text=this.vgFKC[4]
var etpUM_bg=this.vgFKC[5]
var etpUM_glow=this.vgFKC[7]
if(sfMKO==-1)
{
etpUM_text=this.vgFKC[10]
etpUM_bg=this.vgFKC[8]
etpUM_glow=this.vgFKC[11]
}
var baDLF=this.OvSNJ+pkuql;
var LgWpI=this.JIjvC+pkuql;
var CwTPL=this.gccHQ(ZiHLm)
var eXfDZ=this.obLoh;
var s=""
s+="<a href='javascript:WA_openDialogAction("+ZiHLm+")' ";
var etpUM=new RGBColor(etpUM_bg);
var dKvgp=etpUM.toHsl();
etpUM.fromHsl(dKvgp[0],dKvgp[1],dKvgp[2]+0.2)
etpUM_bg=etpUM.toRGB();
var VKdtw_glow=new RGBColor(etpUM_glow);
var ZRLEI=VKdtw_glow.toHsl();
VKdtw_glow.fromHsl(ZRLEI[0],ZRLEI[1],ZRLEI[2]+0.2)
etpUM_glow=VKdtw_glow.toRGB();
s+="onmouseover=\"WA_but_over('"+LgWpI+"','"+etpUM_bg+"','"+etpUM_glow+"')"+"\" ";
s+="onmouseout=\""+"WA_but_out('"+LgWpI+"')"+"\" ";
s+="style='text-decoration:none;'>";
s+="<div id='"+this.OvSNJ+pkuql+"' style='position:absolute;cursor:pointer;left:0px;top:0px;height:"+CwTPL.height+"px;width:"+CwTPL.width+"px;' >";
s+="<div style='position:absolute;left:"+(-eXfDZ)+"px;top:"+(-eXfDZ)+"px;height:"+CwTPL.height+"px;'>"
s+="<canvas id='"+this.JIjvC+pkuql+"' width="+(CwTPL.width+eXfDZ*2)+" height="+(CwTPL.height+eXfDZ*2)+" ></canvas>";
s+="</div>"
s+="<div align=center style='position:absolute;left:0px;top:"+(0)+"px;vertical-align:middle;width:100%;height:"+(CwTPL.height)+"px;line-height:"+(CwTPL.height)+"px;font-family:arial;font-size:13px;font-weight:bold;color:"+etpUM_text+"'>"
s+=IPGPZ[3];
s+="</div>"
s+="</div>"
s+="</a>"
return s;
}
this.getColorTheme=function(GBOiZ)
{
return this.vgFKC[GBOiZ];
}
this.aPuoU=function(pkuql)
{
var IPGPZ=this.INJBw(pkuql);
var sfMKO=IPGPZ[2];
var etpUM_bg=this.vgFKC[5]
var etpUM_glow=this.vgFKC[7]
var etpUM_text=this.vgFKC[3]
if(sfMKO==-1)
{
etpUM_bg=this.vgFKC[8]
etpUM_glow=this.vgFKC[11]
etpUM_text=this.vgFKC[10]
}
var GmvER=this.JIjvC+pkuql;
registerDynamicCanvas(GmvER);
var CwTPL=this.gccHQ(pkuql);
var rrJTo=CwTPL.height*0.25;
var taUYn=(CwTPL.height-rrJTo)/2;
var XDYJx=(CwTPL.width-2);
var GaEuq_circle_top=rrJTo*2;
var Lkqto_top=[(CwTPL.width-XDYJx)/2,1,XDYJx,GaEuq_circle_top,taUYn];
var HpYAv_circle_bottom=CwTPL.width*0.9;
var GaEuq_circle_bottom=CwTPL.height*0.45;
var jgVZw=etpUM_glow;
var dEKpN=etpUM_glow;
var GcKwp=GaEuq_circle_bottom/2;
var Lkqto_bottom=[(CwTPL.width-HpYAv_circle_bottom)/2,CwTPL.height-GaEuq_circle_bottom-1,HpYAv_circle_bottom,GaEuq_circle_bottom,GcKwp,jgVZw,dEKpN];
WA_but(GmvER,0,CwTPL.width,CwTPL.height,rrJTo,etpUM_bg,Lkqto_top,Lkqto_bottom,true,0)
}
this.XsZPD=function(pkuql)
{
var IPGPZ=this.INJBw(pkuql)
if(IPGPZ)
{
var GmvER=this.OvSNJ+IPGPZ[0];
return document.getElementById(GmvER);
}
return undefined
}
this.VtVGI=function()
{
var l=document.getElementById('wa-dialog-container');
l.style.display="block" 

var s="";
var nuJLW=document.webaca_banner_height
s+="<div  style='position:absolute;left:0px;top:"+nuJLW+"px;width:100%;height:100%;background-color:#000000;filter:alpha(opacity=50);-moz-opacity:0.5;opacity:0.5;'></div>"
s+="<div id='wa-dialog-main' style='position:absolute;left:0px;top:"+nuJLW+"px;width:100px;height:100px;' >"
s+="<div style='position:absolute;left:0px;top:0px;width:100px;height:100px;' ><canvas id='wa-dialog1' width=100 height=100 ></canvas></div>"
for(var tqdIp in this.HQtJQ)
{
s+=this.msbrC(this.HQtJQ[tqdIp][2]);
}
s+="<div id='wa-dialog-content' style='position:absolute;left:0px;top:0px;width:100px;" 
s+="overflow:auto;' ></div>"
s+="</div>"
l.innerHTML=s 
WA_exec_callback_opera_compliant(this,this.gRLiB)
}
this.gRLiB=function()
{
registerDynamicCanvas('wa-dialog1');
for(var tqdIp in this.HQtJQ)
{
this.aPuoU(this.HQtJQ[tqdIp][0])
}
this.ZFdqi()
}
this.intern_closeWin=function()
{
var l=document.getElementById('wa-dialog-container');
l.style.display="none"
WA_Dialog.towuV=false
}
this.closeWin=function()
{
this.intern_closeWin()
}
this.cssText1=function()
{
return "font-family:Arial;font-size:15px;color:"+this.vgFKC[3]+";";
}
this.onCustomKeypress=function(xAAjA)
{
if((this.HQtJQ.length==1)&&(xAAjA==13))
{
this.closeWin()
return true;
}
return false;
}
this.onkeypress=function(xAAjA)
{
return this.onCustomKeypress(xAAjA)
}
this.onkeydown=function(xAAjA)
{
if(xAAjA==27)
{
this.closeWin()
return true;
}
return this.onCustomKeypress(xAAjA) 
}
this.customUpdate=function(){}
this.ZFdqi=function()
{
var HpYAv_page=document.webaca_width_page;
var GaEuq_page=document.webaca_height_page;
var WniDq=getWindowSize().width
var GaEuq_window=getWindowSize().height 

this.CgZoe=Math.min(WniDq*0.9,this.NpnEI_win_width)
this.OJNja=Math.min(GaEuq_window*0.9,this.NpnEI_win_height)
var hgjFr=document.getElementById('wa-dialog1');
hgjFr.width=this.CgZoe+10
hgjFr.height=this.OJNja+10
var EZAor=getWindowScroll().x+(WniDq-hgjFr.width)/2
var YJEnv=getWindowScroll().y+(GaEuq_window-hgjFr.height)/2
EZAor=(WniDq-hgjFr.width)/2
YJEnv=(GaEuq_window-hgjFr.height)/2
EZAor=Math.max(0,EZAor)
YJEnv=Math.max(0,YJEnv) 
var vUklw=document.getElementById('wa-dialog-main');
html_SetGeometry('wa-dialog-main',EZAor,YJEnv,hgjFr.width,hgjFr.height);
var hWGAT_bg="(0;0;0;"+this.OJNja*0.25+";"+this.vgFKC[1]+";"+this.vgFKC[2]+")";
WA_bg('wa-dialog1',this.CgZoe,this.OJNja,10,3,this.vgFKC[0],[hWGAT_bg],true,0)
var ejFWu=10;
var UhDbP=this.XsZPD(-1)
if(UhDbP)
{
var Dshdo_close=this.gccHQ(-1)
html_SetPosition(UhDbP,this.CgZoe-Dshdo_close.width+this.obLoh-ejFWu,this.obLoh+ejFWu)
}
var vnbbd_buttons=this.HQtJQ.length;
if(this.jjTAx_close_button==true)
{
vnbbd_buttons--;
}
var hMsjZ=10;
var CZulV=0;
for(var tqdIp=0;tqdIp<vnbbd_buttons;tqdIp++)
{
if(tqdIp>0) CZulV+=hMsjZ;
var Dshdo=this.gccHQ(tqdIp);
CZulV+=Dshdo.width;
}
var smhWK=(this.CgZoe-CZulV)/2
for(var tqdIp=0;tqdIp<vnbbd_buttons;tqdIp++)
{
if(tqdIp>0) smhWK+=hMsjZ;
var iqpok=this.XsZPD(tqdIp);
var Dshdo=this.gccHQ(tqdIp);
html_SetPosition(iqpok,smhWK+this.obLoh,+this.obLoh+this.OJNja-Dshdo.height-2*ejFWu)
smhWK+=Dshdo.width;
}
var GaEuq_top=45;
var GaEuq_bottom=this.BUTTON_HEIGHT+2*ejFWu;
if(vnbbd_buttons==0)
{
GaEuq_bottom=0;
}
var GaEuq_content=(this.OJNja-GaEuq_top-GaEuq_bottom)-ejFWu
var bbbox=document.getElementById('wa-dialog-content');
var HxZcJ_content=Math.round(this.CgZoe-2*ejFWu)
var PLpUR=Math.round(GaEuq_content)
this.m_content_lx=HxZcJ_content
this.m_content_ly=PLpUR
html_SetGeometry('wa-dialog-content',Math.round(5+(this.CgZoe-HxZcJ_content)/2),Math.round(5+GaEuq_top+(GaEuq_content-PLpUR)/2),HxZcJ_content,PLpUR);
this.customUpdate() 
var QWeDK=document.getElementById('wa-dialog-container');
jxgsB=getWindowFullSize().width
GaEuq_full_client=getWindowFullSize().height
html_SetSize('wa-dialog-container',jxgsB,GaEuq_full_client);
centerFullPageContainer();
}
this.neAQd();
}
function WA_exec_callback_opera_compliant(qDkOU,aIYLU)
{
if(/opera/i.test(navigator.userAgent))
WA_exec_delayedCallback(qDkOU,aIYLU)
else
aIYLU.call(qDkOU)
}
function WA_exec_delayedCallback(qDkOU,aIYLU)
{
wa_timeout(Delegate.create(qDkOU,aIYLU),0);
}
WA_Dialog.getCurrent=function()
{
return WA_Dialog.towuV;
}
WA_Dialog.towuV=false;
WA_Dialog.resizeUI=function()
{
if(WA_Dialog.towuV)
{
WA_Dialog.towuV.ZFdqi()
}
}
WA_Dialog.alert=function(s)
{
var w=new WA_Dialog();
w.UJgLQ(s)
}
WA_Dialog.progress=function()
{
var w=new WA_Dialog(false);
w.progress()
}
function centerFullPageContainer()
{
var HpYAv_page=document.webaca_width_page;
var GaEuq_page=document.webaca_height_page;
var QWeDK=document.getElementById('wa-dialog-container');
jxgsB=getWindowSize().width
GaEuq_full_client=getWindowSize().height
var YJEnv_bg=getWindowScroll().y;
YJEnv_bg=Math.min(YJEnv_bg,GaEuq_page-GaEuq_full_client+1)
YJEnv_bg=Math.max(YJEnv_bg,0)
var RiKdD=getWindowScroll().x;
RiKdD=Math.min(RiKdD,HpYAv_page-jxgsB+1)
RiKdD=Math.max(RiKdD,0) 
html_SetPosition('wa-dialog-container',RiKdD,YJEnv_bg,jxgsB,GaEuq_full_client);
}

function getXMLHttpRequest(fct_callback,snNVd)
{
var http_request=false;
if(window.XMLHttpRequest){
http_request=new XMLHttpRequest();
if(http_request.overrideMimeType){
}
}else if(window.ActiveXObject){
try{http_request=new ActiveXObject("Msxml2.XMLHTTP");
}catch(e){
try{http_request=new ActiveXObject("Microsoft.XMLHTTP");}catch(e){}}
}
if(!http_request)
{
alert('Cannot create XMLHTTP instance');
return false;
}
http_request.StNRw=fct_callback
http_request.snNVd=snNVd
http_request.onreadystatechange=function()
{
var req=this 
if(req.readyState==4)
{
this.StNRw(true,this,this.snNVd) 

}
};
return http_request;
}
function makePOSTRequest(url,parameters,callback,stATw)
{
var http_request=getXMLHttpRequest(callback,stATw);
http_request.open('POST',url,true);
http_request.setRequestHeader("Content-type","application/x-www-form-urlencoded");
http_request.setRequestHeader("Content-length",parameters.length);
http_request.setRequestHeader("Connection","close");
http_request.send(parameters);
}
function intern_WA_responseForm(finFZ,qxbOc,snNVd)
{
var result=qxbOc.responseText
var n=result.indexOf("BEGIN_IS_PHP=1")
if(n==-1)
{
WA_Dialog.alert(Translator.tr("Error:No php on server"));
}
else
{
n=result.indexOf("mail_sended=1")
if(n>-1)
{
var qNkgr=snNVd[0] 
WA_Dialog.alert(Translator.tr("Success:Mail sended"));
var form=document.getElementById(qNkgr);
form.reset()
}
else
{
var aqhCZ="error_string="
n=result.indexOf(aqhCZ)
if(n>-1)
{
result=result.substring(n+aqhCZ.length)
n=result.indexOf("END_IS_PHP")
if(n>-1)
{
result=result.substring(0,n)
}
WA_Dialog.alert(result);
}
else
{
WA_Dialog.alert("*error send mail!");
}
}
}
}
function WA_form_action(id_form,action,b_email_is_valid)
{
var form=document.getElementById(id_form);
var poststr=""
for(var i=0;i<form.elements.length;i++)
{
var el=form.elements[i];
el.style.backgroundColor="#ffffff"
if((el.value.length==0)&&(el.name.indexOf("_mandatory")>-1))
{
el.style.backgroundColor="#ff0000";el.focus();return;
}
var riOiZ=el.value
riOiZ=encodeURI(riOiZ)
riOiZ=riOiZ.replace(/&/g,escape("&")) 
poststr+=el.name.replace("_mandatory","")+"="+riOiZ+"&"
}
if(b_email_is_valid==false)
{
WA_Dialog.alert(Translator.tr("Email have to be filled in order to the form works correctly"));return;
}
if(document.webaca_is_preview)
{
WA_Dialog.alert(Translator.tr("Operation not allowed in preview mode"));return;
}
WA_Dialog.progress();
makePOSTRequest(action,poststr,intern_WA_responseForm,[id_form]);
}
function WA_form_submit(cnZJc)
{
var ATXvM=document.getElementById(cnZJc);
ATXvM.submit() 
}
function GuURA(ReOpj,snNVd)
{
var xAAjA=snNVd[0]
if(xAAjA==13)
{
var cnZJc=ReOpj+"-form";
var ATXvM=document.getElementById(cnZJc);
for(var i=0;i<ATXvM.elements.length;i++)
{
var MLcbE=ATXvM.elements[i];
if((MLcbE.type=="textarea")&&(MLcbE.focused))return true;
}
WA_form_submit(cnZJc);
return false;
}
return true;
}
function WA_addFormDeclaration(ReOpj,uWmkX)
{
return WA_addHandler(ReOpj,"keypress",GuURA)
}
function WA_form_bg(id,lx,ly,arc,FqLlI,bord_col,bg,shadow,gGBbO,hUfsY)
{
WA_bg(id,lx,ly,arc,FqLlI,bord_col,bg,shadow,gGBbO,1.0,true) 
var Iugnj=hUfsY.x;
var gfwoq=0;
var SbOxe=hUfsY.cells
for(var n=0;n<SbOxe.length;n++)
{
var DEijA=SbOxe[n]
var arc2=0
uAjZF(id,Iugnj,gfwoq+DEijA.y,hUfsY.w,DEijA.h,arc2,1,hUfsY.border,[''],false,0,1.0,false)
uAjZF(id,Iugnj,gfwoq+DEijA.y,DEijA.w,DEijA.h,arc2,1,"rgba(0,0,0,0)",[hUfsY.bg],false,0,1.0,false)
}
}
function WA_form_reset(id_form)
{
var form=document.getElementById(id_form);
form.reset() 
}
var BrowserDetect={
init:function(){
this.browser=this.searchString(this.dataBrowser)||"An unknown browser";
this.version=this.searchVersion(navigator.userAgent)||this.searchVersion(navigator.appVersion)||"an unknown version";
this.OS=this.searchString(this.dataOS)||"an unknown OS";
},searchString:function(data){
for(var i=0;i<data.length;i++){
var dataString=data[i].string;var dataProp=data[i].prop;
this.versionSearchString=data[i].versionSearch||data[i].identity;
if(dataString){
if(dataString.indexOf(data[i].subString)!=-1)
return data[i].identity;
}
else if(dataProp)
return data[i].identity;
}
},searchVersion:function(dataString){
var index=dataString.indexOf(this.versionSearchString);
if(index==-1) return;
return parseFloat(dataString.substring(index+this.versionSearchString.length+1));
},
dataBrowser:[
{string:navigator.userAgent,subString:"OmniWeb",versionSearch:"OmniWeb/",identity:"OmniWeb"},{string:navigator.vendor,subString:"Apple",identity:"Safari"},{prop:window.opera,identity:"Opera"},{string:navigator.vendor,subString:"iCab",identity:"iCab"},{string:navigator.vendor,subString:"KDE",identity:"Konqueror"},{string:navigator.userAgent,subString:"Firefox",identity:"Firefox"},{string:navigator.vendor,subString:"Camino",identity:"Camino"},{string:navigator.userAgent,subString:"Netscape",identity:"Netscape"},
{string:navigator.userAgent,subString:"MSIE",identity:"Explorer",versionSearch:"MSIE"},{string:navigator.userAgent,subString:"Gecko",identity:"Mozilla",versionSearch:"rv"},{string:navigator.userAgent,subString:"Mozilla",identity:"Netscape",versionSearch:"Mozilla"}
],dataOS:[
{string:navigator.platform,subString:"Win",identity:"Windows"},{string:navigator.platform,subString:"Mac",identity:"Mac"},{string:navigator.platform,subString:"Linux",identity:"Linux"}
]
};
BrowserDetect.init();
function RGBColor(eNVUJ)
{
this.ok=false;this.a=1.0;
if(eNVUJ.charAt(0)=='#'){eNVUJ=eNVUJ.substr(1);}
eNVUJ=eNVUJ.replace(/ /g,'');
eNVUJ=eNVUJ.toLowerCase();
var VqAbi=[
{re:/^rgba\((\d{1,3}),\s*(\d{1,3}),\s*(\d{1,3}),\s*(\d{1,2}\.*\d{0,2})\)$/,_process:function(bits){return [ parseInt(bits[1]),parseInt(bits[2]),parseInt(bits[3]),parseFloat(""+bits[4]) ];}},{re:/^rgb\((\d{1,3}),\s*(\d{1,3}),\s*(\d{1,3})\)$/,_process:function(bits){return [ parseInt(bits[1]),parseInt(bits[2]),parseInt(bits[3])];}},{re:/^(\w{2})(\w{2})(\w{2})(\w{2})$/,_process:function(bits){return [ parseInt(bits[1],16),parseInt(bits[2],16),parseInt(bits[3],16),Math.round(parseInt(bits[4],16)*100/255)/100 ];}},{re:/^(\w{2})(\w{2})(\w{2})$/,_process:function(bits){return [ parseInt(bits[1],16),parseInt(bits[2],16),parseInt(bits[3],16) ];}}
];
for(var i=0;i<VqAbi.length;i++){
var xjJsr=VqAbi[i].re;
var eaNhH=VqAbi[i]._process;
var uSUFL=xjJsr.exec(eNVUJ);
if(uSUFL){
var usGUo=eaNhH(uSUFL);
this.r=usGUo[0];this.g=usGUo[1];this.b=usGUo[2];this.a=usGUo[3];
this.ok=true;
}
}
this.r=(this.r<0||isNaN(this.r))?0:((this.r>255)?255:this.r);
this.g=(this.g<0||isNaN(this.g))?0:((this.g>255)?255:this.g);
this.b=(this.b<0||isNaN(this.b))?0:((this.b>255)?255:this.b);
this.a=(this.a>1||isNaN(this.a))?1:((this.a<0)?0:this.a);
this.toRGB=function()
{
if(this.a==1)return 'rgb('+this.r+', '+this.g+', '+this.b+')';
return 'rgba('+this.r+', '+this.g+', '+this.b+','+this.a+')';
}
this.toRGB_opaque=function()
{
return 'rgb('+this.r+', '+this.g+', '+this.b+')';
}
this.toHsl=function(){
var r=this.r;var g=this.g;var b=this.b;r/=255,g/=255,b/=255;
var max=Math.max(r,g,b),min=Math.min(r,g,b);
var h,s,l=(max+min)/2;
if(max==min){h=s=0;
}else{
var d=max-min;s=l>0.5?d/(2-max-min):d/(max+min);
switch(max){
case r:h=(g-b)/d+(g<b?6:0);break;
case g:h=(b-r)/d+2;break;
case b:h=(r-g)/d+4;break;
}
h/=6;
}
return [h,s,l];
}
this.lPxfQ=function(p,q,t)
{
if(t<0) t+=1;if(t>1) t-=1;if(t<1/6) return p+(q-p)*6*t;if(t<1/2) return q;if(t<2/3) return p+(q-p)*(2/3-t)*6;
return p;
};
this.fromHsl=function(h,s,l){
if(l>1.0)l=1.0
var r,g,b;
if(s==0){r=g=b=l;
}else{
var q=l<0.5?l*(1+s):l+s-l*s;
var p=2*l-q;
r=this.lPxfQ(p,q,h+1/3);g=this.lPxfQ(p,q,h);b=this.lPxfQ(p,q,h-1/3);
}
r=r*255;g=g*255;b=b*255;
r=Math.round(r);g=Math.round(g);b=Math.round(b);
if(r<0)r=-r;if(g<0)g=-g;if(b<0)b=-b
this.r=r;this.g=g;this.b=b;
};
}
function GZNNP(RLxtN,snNVd)
{
if(document.wa_global_handlers!=undefined)
{
var ReOpj=WA_focused_element()
if(ReOpj)
{
var DRMBa=document.wa_global_handlers[ReOpj+"-"+RLxtN]
if(DRMBa) return DRMBa([ReOpj],snNVd)
}
}
return true;
}
function COwVL(e)
{
if(window.event){return e.keyCode;}
else 
if(e.which) return  e.which;
return-1;
}
function WA_onkeypress(e)
{
var xAAjA=COwVL(e);
if(WA_Dialog.towuV)
{
if(WA_Dialog.towuV.onkeypress(xAAjA))
{
return false;
}
}
return GZNNP("keypress",[xAAjA]);
}
function WA_ondblclick(e)
{
return GZNNP("dblclic",[""]);
}
function WA_onkeydown(e)
{
var xAAjA=COwVL(e)
if(WA_Dialog.towuV)
{
if(WA_Dialog.towuV.onkeydown(xAAjA))
{
return false;
}
}
if(xAAjA==13) return true;

if(wa_global_photo_album&&wa_global_photo_album.fullpage_object)
{
var qDkOU=wa_global_photo_album.fullpage_object
return qDkOU.onFullScreenKeydown(xAAjA) 
}
return GZNNP("keydown",[xAAjA]);
}
function WA_genericMouseWheelHandler(e)
{
var delta=0;
if(!e) e=window.event;
if(e.wheelDelta){
delta=e.wheelDelta/120;
if(window.opera) delta=-delta;
}else if(e.detail){
delta=-e.detail/3;
}
if(navigator.userAgent.match(/opera/i)) delta=-delta;
var b_default=false;
if(delta)
{
if(document.wa_global_handlers!=undefined)
{
var ReOpj=this.id
var DRMBa=document.wa_global_handlers[ReOpj+"-mousewheel"]
if(DRMBa)
{
if(DRMBa([ReOpj],[delta]))
{
b_default=true;
}
}
}
}
if(b_default)
if(e.preventDefault)
e.preventDefault();
e.returnValue=!b_default;
}
function WA_addHandler(ReOpj,RLxtN,aIYLU)
{
if(document.wa_global_handlers==undefined) document.wa_global_handlers=new Array()
if(RLxtN=="mousewheel")
{
var HxJTR=document.getElementById(ReOpj);
if(HxJTR.addEventListener)
HxJTR.addEventListener('DOMMouseScroll',WA_genericMouseWheelHandler,false);
HxJTR.onmousewheel=WA_genericMouseWheelHandler
}
document.wa_global_handlers[ReOpj+"-"+RLxtN]=aIYLU
}
function WA_loadPhotoAlbum(ReOpj,DBMRk,CwTPL,ReOpj_modif)
{
if(typeof(wa_global_photo_album[ReOpj])=="undefined")
{
var o=new Array();
o.src_folder=DBMRk
o.size_container=CwTPL
o.id_modif=ReOpj_modif
wa_global_photo_album[ReOpj]=o;
}
}
function WA_focused_element()
{
return document.wa_global_focused_element
}
function WA_focus(qDkOU)
{
document.wa_global_focused_element=qDkOU.id
}
function WA_loadScript(url,callback,params)
{
var e=document.createElement("script");
e.src=url;
e.type="text/javascript";
e.onerror=function(){callback(params,false);}
if(/msie/i.test(navigator.userAgent)&&!/opera/i.test(navigator.userAgent)){
e.onreadystatechange=function(){
if((this.readyState=='complete')||(this.readyState=='loaded')){
callback(params,true);
}
}
}else
{
e.onload=function(){
if(/opera/i.test(navigator.userAgent))
wa_timeout(callback,0,params,true);
else
callback(params,true);
}
}
document.getElementsByTagName("head")[0].appendChild(e);
}
function WA_blog_declare(hpcGq,mQonI,mnHKY)
{
if(!document.wa_global_blogs_elements)document.wa_global_blogs_elements=new Array()
if(!document.wa_global_blogs_buttons)document.wa_global_blogs_buttons=new Array()
if(!document.wa_global_blogs_elements[mQonI])document.wa_global_blogs_elements[mQonI]=new Array()
document.wa_global_blogs_elements[mQonI].id_blog=hpcGq
document.wa_global_blogs_elements[mQonI].has_email=mnHKY
}
function WA_addSearchHandler(ReOpj)
{
return WA_addHandler(ReOpj,"keypress",bPVob)
}
function bPVob(ReOpj,snNVd)
{
var xAAjA=snNVd[0]
if(xAAjA==13)
{
var HBkjL=ReOpj+"-search-input";
WA_onSearch(HBkjL)
return false;
}
return true;
}
function WA_declareSearchIndex(wXgfJ,Niddq)
{
document.const_wa_search_js=wXgfJ
document.const_wa_search_index_js=Niddq
}
function WA_onSearch(HBkjL)
{
var FHVmT=document.getElementById(HBkjL);
if(document.wa_search_js_loaded==true)
{
WA_openSearchDialog(FHVmT,document.const_wa_search_index_js)
}
else
{
WA_Dialog.progress();
lOPdt(FHVmT)
}
}
function jAYdE(snNVd)
{
document.wa_search_js_loaded=true
WA_openSearchDialog(snNVd[0],document.const_wa_search_index_js)
}
function lOPdt(wSLmE)
{
WA_loadScript(document.const_wa_search_js,jAYdE,[wSLmE])
}
function TxTcO(offset){
var endstr=document.cookie.indexOf(";",offset);
if(endstr==-1)
endstr=document.cookie.length;
return unescape(document.cookie.substring(offset,endstr));
}
function WA_GetCookie(name)
{
var arg=name+"=";
var alen=arg.length;
var clen=document.cookie.length;
var i=0;
while(i<clen)
{
var j=i+alen;
if(document.cookie.substring(i,j)==arg)
return TxTcO(j);
i=document.cookie.indexOf(" ",i)+1;
if(i==0) break;
}
return "";
}
function WA_SetCookie(name,value){
var argv=WA_SetCookie.arguments;
var argc=WA_SetCookie.arguments.length;
var expires=(argc>2)?argv[2]:null;
var path=(argc>3)?argv[3]:null;
var domain=(argc>4)?argv[4]:null;
var secure=(argc>5)?argv[5]:false;
document.cookie=name+"="+escape(value)+((expires==null)?"":("; expires="+expires.toGMTString()))+((path==null)?"":("; path="+path))+((domain==null)?"":("; domain="+domain))+((secure==true)?"; secure":"");
}
function WA_bg_menu(ReOpj)
{
var ZLkpv=document.wa_global_menu_declaration[ReOpj]
WA_bg(ReOpj,ZLkpv.root_lx,ZLkpv.root_ly,ZLkpv.root_corner,ZLkpv.root_border,ZLkpv.root_col_border,[ZLkpv.root_bg],false,0)
var MLcbE=document.getElementById(ZLkpv.id)
if(!MLcbE)return;
var c=MLcbE.getContext('2d');
c.lineWidth=1
c.strokeStyle=ZLkpv.root_col_separator
var SwXRr=0.5;

var LAbfG=ZLkpv.root_sizes.length
if(ZLkpv.root_extend==false)
{
LAbfG--;
}
var dKncp=3;
for(var i=0;i<LAbfG;i++)
{
var CwTPL=ZLkpv.root_sizes[i] 

c.beginPath();
if(ZLkpv.root_vertical==false)
{
SwXRr+=(CwTPL-1)
c.moveTo(SwXRr,dKncp)
c.lineTo(SwXRr,ZLkpv.root_ly-dKncp)
}
else
{
SwXRr+=(CwTPL)
c.moveTo(dKncp,SwXRr-1,0)
c.lineTo(ZLkpv.root_lx-dKncp,SwXRr-1)
}
c.closePath();
c.stroke()
}
}
function WA_declare_menu(ReOpj,ZLkpv)
{
if(!document.wa_global_menu_declaration)document.wa_global_menu_declaration=new Array();
ZLkpv.id=ReOpj
document.wa_global_menu_declaration[ReOpj]=ZLkpv
WA_bg_menu(ReOpj)
}
function WA_declareMarket(ReOpj,ScJtZ_market,ReOpj_modif)
{
if(typeof(wa_global_market.markets[ReOpj])=="undefined")
{
var o=new Array();
o.src_folder=ScJtZ_market
o.id_modif=ReOpj_modif 

o.id=ReOpj
wa_global_market.markets[ReOpj]=o;
}
}
function WA_button_market_declare(ReOpj,arHQQ)
{
if(!document.wa_global_button_market_declaration)document.wa_global_button_market_declaration=new Array();
document.wa_global_button_market_declaration[ReOpj]=arHQQ
}
function iKvTb(c,img,EZAor,YJEnv,HpYAv,GaEuq,ImMwn,DgmSZ,vbQHD)
{
c.globalAlpha=DgmSZ
if(vbQHD) c.clearRect(0,0,HpYAv,GaEuq) 
if(DgmSZ==0)return;
if(ImMwn)
{
c.drawImage(img,ImMwn.x,ImMwn.y,ImMwn.width,ImMwn.height,EZAor,YJEnv,HpYAv,GaEuq)
}
else
{
c.drawImage(img,EZAor,YJEnv,HpYAv,GaEuq)
}
}
function WA_drawImage(id,AxPeT,EZAor,YJEnv,HpYAv,GaEuq,ImMwn,DgmSZ,vbQHD)
{
if(vbQHD==undefined)vbQHD=true;
if(DgmSZ==undefined)DgmSZ=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
c.shadowOffsetX=0;c.shadowOffsetY=0;c.shadowBlur=0;
if(c.old_src==AxPeT)
{
iKvTb(c,c.FJMwx,EZAor,YJEnv,HpYAv,GaEuq,ImMwn,DgmSZ,vbQHD)
return;
}
var img=new Image();
img.qUOIu=el.qUOIu
img.onload=function()
{
c.old_src=AxPeT
c.FJMwx=this;
iKvTb(c,this,EZAor,YJEnv,HpYAv,GaEuq,ImMwn,DgmSZ,vbQHD)
}
img.src=AxPeT;
}

-->
